
Redmine - Feature #9477

Show all, cross-project, issues under shared versions in gantt 

2011-10-26 15:35 - Viltér Panitz

Status: New Start date: 2011-10-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Hello,

I created three pojects in redmine. Let's call them A,B and C.

I've created a version in a Project A shared with all projects.

I've created some tickets in B and C projects associated with the A project's version.

If i take a look at B or C project's gantt i can see those created and associated ticket from the A project's version.

But if i look the A project's gantt, Redmine even shows the version.

I'm using 1.2.0 Redmine's version.

Thanks in advance.

History

#1 - 2011-10-27 01:55 - Mischa The Evil

Viltér Panitz wrote:

I created three pojects in redmine. Let's call them A,B and C.

 Are these three projects all parent projects (as in not being sub-projects)?

Viltér Panitz wrote:

If i take a look at B or C project's gantt i can see those created and associated ticket from the A project's version.

 So far so good, I think...

Viltér Panitz wrote:

But if i look the A project's gantt, Redmine even shows the version.

 I try to understand this correctly. Above you mean that in project A's gantt the system-wide shared version (created in project A) is displayed?

From here I have to guess what your issue is about. From my POV I think it is about missing the issues created in projects B and C being listed below

the system-wide shared version in project A's gantt.

Can you provide some feedback?

#2 - 2011-10-27 01:56 - Mischa The Evil

- Category set to Gantt

- Affected version (unused) set to 1.2.0

- Affected version set to 1.2.0

#3 - 2011-10-27 13:29 - Viltér Panitz

- Assignee set to Mischa The Evil

Mischa The Evil wrote:
Are these three projects all parent projects (as in not being sub-projects)?

 Yes, they are all parent projects

Mischa The Evil wrote:

I try to understand this correctly. Above you mean that in project A's gantt the system-wide shared version (created in project A) is displayed?

 No. At this point, when i access project A's gantt, doesn't appear tickets from B and C projects.

I'm attaching a zip file with four images that describes what i'm trying to say.

Thanks for fast reply.

#4 - 2011-10-28 18:54 - Viltér Panitz

- File pictures.zip added

#5 - 2011-11-01 11:55 - Viltér Panitz

Do we have some news?

#6 - 2011-12-22 18:07 - Mischa The Evil

- Tracker changed from Defect to Feature

- Subject changed from Gantt Shared Projects are not appearing to Show all, cross-project, issues under shared versions in gantt 

- Assignee deleted (Mischa The Evil)

Currently this is the designed behavior. Each issue in Redmine is scoped to a project, that is what the Gantt actually renders correctly.

I've adjusted this issues attributes to match the above info.

#7 - 2011-12-22 18:37 - Mischa The Evil

Btw: here follows some screenshots of the current behavior.

Scenario: one parent project with two child projects. One version created in the parent project, shared with subprojects. I create one issue in each

child project and one issue in the parent project, and assign them all to the shared version in the parent project.

Gantt view of the above given scenario in the parent project:

 ro9477-parent-gantt.jpg 

Gantt view of the above given scenario in the first child project:

 ro9477-child-1-gantt.jpg 

#8 - 2011-12-22 18:38 - Mischa The Evil

- File ro9477-parent-gantt.jpg added

- File ro9477-child-1-gantt.jpg added

Forgot to attach the actual files...

Files

pictures.zip 129 KB 2011-10-28 Viltér Panitz

ro9477-parent-gantt.jpg 17.2 KB 2011-12-22 Mischa The Evil

ro9477-child-1-gantt.jpg 4.58 KB 2011-12-22 Mischa The Evil
